# $Revision: 1.192.2.4 $, $Date: 2003/09/06 20:40:54 $
#
# Conditional build:
# _without_crypto	- without kerneli cryptography
# _with_pivot_root	- build pivot_root utility (auto-selected if 2.4 kernel)
# _without_dist_kernel	- do nothing for now
# _with_uClibc          - don't build few utilities
#
# TODO:
# - move raw to /sbin (potentially can be used before mount partitions)??

%define		_kernel_ver	%(grep UTS_RELEASE %{_kernelsrcdir}/include/linux/version.h 2>/dev/null | cut -d'"' -f2)
%define		_kernel24	%(echo %{_kernel_ver} | grep -q '2\.[012]\.' ; echo $?)
%if %{_kernel24}
%define		_kernel_series	2.4
%define		_with_pivot_root 1
%else
%define		_kernel_series	2.2
%endif

Summary:	Collection of basic system utilities for Linux
Summary(de):	Sammlung von grundlegenden Systemdienstprogrammen fr Linux
Summary(es):	Colectnea de utilitarios bsicos de sistema para Linux
Summary(fr):	Ensemble d'utilitaires systme de base pour Linux
Summary(pl):	Zbir podstawowych narzdzi systemowych dla Linuksa
Summary(pt_BR):	Coletnea de utilitrios bsicos de sistema para Linux
Summary(ru):	     Linux
Summary(tr):	Temel sistem aralar
Summary(uk):	¦   ̦  Linux
Name:		util-linux
Version:	2.11w
%define	_rel	3
Release:	%{_rel}
License:	distributable
Group:		Applications/System
Source0:	ftp://ftp.win.tue.nl/pub/linux-local/utils/util-linux/%{name}-%{version}.tar.gz
# Source0-md5:	36d6bcdf415d6b486205cc64abb7af77
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	3c940c7e7fe699eaa2ddb1bffb3de2fe
Source2:	login.pamd
Source3:	rawdevices.init
Source4:	rawdevices.sysconfig
Patch0:		%{name}-MCONFIG.patch
Patch1:		%{name}-fdisk.patch
Patch2:		%{name}-utmpx.patch
Patch3:		%{name}-fhs.patch
Patch4:		%{name}-login.patch
Patch5:		%{name}-kerneli.patch
Patch6:		%{name}-info.patch
Patch7:		ftp://ftp.linuxnfs.sourceforge.org/pub/nfs/%{name}-2.10m-mount-compat.patch
Patch8:		%{name}-syscall.patch
Patch9:		%{name}-raw.patch
Patch10:	%{name}-gecos.patch
Patch11:	%{name}-glibc.patch
#based on:	http://www.kernel.org/pub/linux/kernel/people/hvr/util-linux-patch-int/%{name}-2.11n.patch.bz2
Patch12:	%{name}-cryptoapi.patch
Patch13:	%{name}-losetup-getpass.patch
Patch14:	%{name}-posixsh.patch
Patch15:	%{name}-ppc-hwclock.patch
Patch16:	%{name}-chfn_exploid.patch
BuildRequires:	gettext-devel
BuildRequires:	grep
%{!?_with_uClibc:BuildRequires:	ncurses-devel >= 5.0}
%{!?_with_uClibc:BuildRequires:	pam-devel >= 0.66}
BuildRequires:	texinfo
BuildRequires:	textutils
BuildRequires:	zlib-devel
%{!?_with_uClibc:Requires:	pam >= 0.66}
Provides:	fdisk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	util-linux-suids
Obsoletes:	cramfs

%define		debugcflags	-O1 -g

%description
util-linux contains a large variety of low-level system utilities
necessary for a functional Linux system. This includes, among other
things, configuration tools such as fdisk and system programs such as
logger.

%description -l de
util-linux enthlt eine groe Anzahl an
low-level-Systemdienstprogrammen, die fr ein funktionierendes
Linux-System erforderlich sind. Dazu gehren Konfigurationstools wie
'fdisk' und Systemprogramme wie 'logger'.

%description -l es
util-linux contiene una gran variedad de utilitarios de sistema de
bajo nivel necesarios a un sistema Linux funcional. Esto incluye,
entre otras cosas, herramientas de configuracin como fdisk y
programas de sistema como login.

%description -l fr
util-linux contient une grande varit d'utilitaire systme bas niveau
ncessaires au fonctionnement d'un systme Linux. Cela comprend, entre
autres, les outils de configuration comme fdisk et des programmes
systmes comme logger.

%description -l pl
util-linux zawiera wiele rnych, niskopoziomowych narzdzi
systemowych niezbdnych do prawidowego dziaania Linuksa. W pakiecie
znajduj si midzy innymi narzdzia konfiguracyjne, takie jak fdisk i
programy systemowe, takie jak logger.

%description -l pt_BR
util-linux contm uma grande variedade de utilitrios de sistema de
baixo-nvel necessrios para um sistema Linux funcional. Isso inclui,
entre outras coisas, ferramentas de configurao como fdisk e
programas de sistema como login.

%description -l tr
levsel durumdaki bir Linux sistemi iin gerekli birok alt dzey
sistem aralarn ierir. Bunlar arasnda fdisk gibi yaplandrma
uygulamalar ve logger gibi sistem programlar saylabilir.

%description -l uk
  ͦ  ¦  ̦  Ҧ, ˦
ȦΦ  æ  Linux.  ͦ, Ҧ ,
ƦæΦ  (˦  fdisk)  Φ  (˦
 login).

%description -l ru
        ,
     Linux.  , 
 ,  ,   fdisk,  
,   login.

%package -n losetup
Summary:	Programs for setting up and configuring loopback devices
Summary(de):	Programme zum Einrichten und Konfigurieren von Loopback-Gerten
Summary(fr):	Programmes pour mettre en place et configurer les loopback
Summary(pl):	Program do konfiguracji urzdzenia blokowego loopback
Summary(tr):	Yerel-evrim aygtlarnn kurulmas ve ayarlanmas iin programlar
Summary(ru):	   loopback-
Summary(uk):	  Ʀæ loopback-ϧ
Group:		Applications/System
Release:	%{_rel}@%{_kernel_series}
#%if %{_kernel24}
#%{!?_without_dist_kernel:Requires:	kernel >= 2.3.0}
#%else
#%{!?_without_dist_kernel:Requires:	kernel < 2.3.0}
#%endif

%description -n losetup
Linux supports a special block device called the loopback device,
which maps a normal file onto a virtual block device. This package
contains programs for setting up and removing the mapping between
files and loopback devices.

Block loopback devices should not be confused with the networking
loopback device, which is configured with the normal ifconfig command.

%description -n losetup -l de
Linux untersttzt ein spezielles Blockgert, das sogenannte Loopback,
das eine normale Datei auf ein virtuelles Blockgert abbildet. Das
Paket enthlt Programme zum Einrichten und Entfernen der Zuordnung
zwischen Dateien und Loopback-Gerten.

%description -n losetup -l fr
Linux gre un priphrique bloc spcial appel  loopback , qui
correspond  un fichier normal sur un priphrique bloc virtuel. Ce
paquetage contient les programmes pour configurer et supprimer la
correspondance entre les fichiers et les priphriques loopback.

Les priphriques bloc loopback ne doivent pas tre confondus avec le
priphrique loopback du rseau, configur avec la commande ifconfig
normale.

%description -n losetup -l pl
Linux wspiera specjalne urzdzenie blokowe loopback, ktre mapuje
normalny plik w wirtualne urzdzenie blokowe. Pakiet ten zawiera
program, przy pomocy ktrego bdziesz mg je skonfigurowa.

Urzdzenie blokowe loopback nie powinno by mylone z sieciowym
interfejsem loopback, ktry jest konfigurowany przy pomocy polecenia
ifconfig.

%description -n losetup -l tr
Linux zel bir blok aygt olan yerel-evrim aygtn (loopback device)
destekler. Bu aygt normal bir dosyann sanal bir blok aygt zerine
haritasn karr. Bu paket, dosyalar ve yerel-evrim aygtlar
arasndaki haritalama ileminin kurulmas ve kaldrlmas iin
programlar ierir. Blok yerel-evrim aygt ifconfig komutu ile
yaplandrlan a yerel-evrim aygt ile kartrlmamaldr.

%description -n losetup -l ru
Linux    , 
loopback,       
.       
. Losetup    loopback-  
   ,   loopback-
   .

%description -n losetup -l uk
Linux Цդ æ  Ҧ, loopback, 
צդ    צ  Ҧ.  Ѥ
   צ  . Losetup
  ' loopback-ϧ ڦ  
  ,  צ' loopback-ϧ 
Ӧ  .

%package -n mount
Summary:	Programs for mounting and unmounting filesystems
Summary(de):	Programme zum montieren und abmontieren von Dateisystemen
Summary(fr):	Programme pour monter et dmonter des systmes de fichiers.
Summary(pl):	Programy do montowania i odmontowywania systemw plikw
Summary(tr):	Dosya sistemlerini balamak ve zmek iin programlar
Summary(uk):	      
Summary(ru):	      
Group:		Applications/System
Release:	%{_rel}@%{_kernel_series}
#%if %{_kernel24}
#%{!?_without_dist_kernel:Requires:	kernel >= 2.3.0}
#%else
#%{!?_without_dist_kernel:Requires:	kernel < 2.3.0}
#%endif

%description -n mount
mount is used for adding new filesystems, both local and networked, to
your current directory structure. The filesystems must already exist
for this to work. It can also be used to change the access types the
kernel uses for already-mounted filesystems.

This package is critical for the functionality of your system.

%description -n mount -l de
mount wird zum Hinzufgen neuer Dateisysteme (lokal und im Netzwerk)
zu Ihrer aktuellen Verzeichnisstruktur verwendet. Die Dateisysteme
mssen bereits existieren. Auerdem knnen die Zugriffstypen gendert
werden, die der Kernel fr bereits montierte Dateisysteme verwendet.

Dieses Paket ist fr Ihr System unbedingt erforderlich.

%description -n mount -l fr
mount sert  ajouter de nouveaux systmes de fichiers, locaux ou
rseaux,  votre structure de rpertoire. Les systmes de fichiers
doivent dj exister pour que cela fonctionne. Il peut aussi servir 
changer les types d'accs pour les systmes de fichiers dj monts.

Ce paquetage est critique pour le fonctionnement de votre systme.

%description -n mount -l pl
Program mount jest uywany przez system do montowania systemw plikw,
zarwno lokalnych jak i sieciowych (np. NFS).

Pakiet ten jest niezbdny do prawidowej pracy twojego Linuksa.

%description -n mount -l tr
mount, hem yerel hem de a dosya sistemlerinin dizin yapsna
eklenmesi iin kullanlr. Bunun iin balanacak dosya sisteminin
nceden hazrlanm olmas gerekir. Ayn zamanda ekirdein balanm
dosya sistemlerine eriimini deitirmek iin de kullanlr. Bu paket
sisteminizin ilevsellii asndan kritiktir.

%description -n mount -l ru
 mount   mount, umount, swapon  swapoff. 
         
.        .
 mount       
   .  umount  
  . Swapon  swapoff, ,  
      .

%description -n mount -l uk
 mount ͦ  mount, umount, swapon  swapoff.  
ۦ ͦ ΦΦ  Ħ    
Ȧ.     Φ  Ҧ .
 mount Ц'դ     ϧ  
̦ ϧ .  umount צ'դ   צ
. Swapon  swapoff, צצ, Ѥ   Ц 
Φ   ϧ.

%package chkdupexe
Summary:	chkdupexe - find duplicate executables
Summary(pl):	chkdupexe odszukuje powtarzajce si pliki uruchamialne
Group:		Applications/System

%description chkdupexe
chkdupexe will scan the union of $PATH and a hardcoded list of common
locations for binaries. It will report dangling symlinks and
duplicately-named binaries.

%description chkdupexe -l pl
chkdupexe przeszukuje katalogi z $PATH oraz inne powszechnie znane
katalogi z plikami uruchamialnymi i informuje o powtarzajcych si
plikach w rnych katalogach.

%package -n tunelp
Summary:	Configures kernel parallel port driver
Summary(de):	Konfiguriert den Kerneltreiber fr den parallelen Port
Summary(fr):	Configure le pilote du port parallle dans le noyau
Summary(pl):	Program do konfigurowania sterownika portu rwnolegego
Summary(tr):	ekirdein paralel balant noktas srcsn ayarlar
Group:		Applications/System

%description -n tunelp
tunelp aids in configuring the kernel parallel port driver.

%description -n tunelp -l de
tunelp hilft bei der Konfiguration des Kernel-Parallelport-Treibers.

%description -n tunelp -l fr
 tunelp  aide  configurer le pilote du noyau pour le port
parallle.

%description -n tunelp -l pl
Program do konfigurowania sterownika portu rwnolegego.

%description -n tunelp -l tr
Paralel balant noktas srcsn ayarlar.

%package -n login
Summary:	login is used when signing onto a system
Summary(pl):	login jest uywany do rozpoczcia pracy w systemie
Group:		Applications/System
Obsoletes:	heimdal-login
Requires:	pam-pld

%description -n login
login is used when signing onto a system. It can also be used to
switch from one user to another at any time (most modern shells have
support for this feature built into them, however).

%description -n login -l pl
login jest uywany do rozpoczcia pracy w systemie. Moe by uywany
do przeczania z jednego uytkownika na innego w kadym momencie
(jednak wikszo nowoczesnych powok ma takie funkcje wbudowane).

%package -n agetty
Summary:	Alternative Linux getty
Summary(pl):	Alternatywny getty
Group:		Applications/System
Requires:	login

%description -n agetty
agetty is simple Linux getty with serial support.

%description -n agetty -l pl
agetty jest prostym linuksowym getty z obsug portu szeregowego.

%package -n rawdevices
Summary:	Support for raw-devices
Summary(pl):	Obsuga raw-device'w
Group:		Applications/System
PreReq:		/sbin/chkconfig

%description -n rawdevices
Support for raw-devices.

%description -n rawdevices -l pl
Obsuga raw-device'w.

%package BOOT
Summary:	util-linux for bootdisk
Summary(pl):	util-linux dla bootkietki
Group:		Applications/System

%description BOOT
util-linux for bootdisk.

%description BOOT -l pl
util-linux dla bootkietki.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%if %{_kernel24}
%{!?_without_crypto:%patch12 -p0}
%else
%{!?_without_crypto:%patch5 -p1}
%endif
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%if !%{_kernel24}
%{!?_without_crypto:%patch13 -p1}
%endif
%patch14 -p1
%patch15 -p1
%patch16 -p1

%build
CC="%{__cc}"
LDFLAGS="%{rpmldflags}"
CFLAGS="%{rpmcflags} -I%{_includedir}/ncurses"
export CC CFLAGS LDFLAGS
# using %%configure2_13 isn't very wise here, it is not autoconf generated
# configure and it doesn't take any parameters
./configure

%if %{?BOOT:1}%{!?BOOT:0}
%{__make} -C fdisk fdisk OPT="%{rpmcflags}" LDFLAGS="-static"
mv -f fdisk/fdisk fdisk-BOOT
%{__make} -C fdisk clean
%endif

%{?_with_uClibc:echo 'char *nl_langinfo (nl_item x){return "";}' >> misc-utils/cal.c}
%{__make} OPT="%{rpmcflags}" \
	MOREHELPDIR=%{_datadir}/misc \
	%{!?_with_uClibc:ADD_RAW="yes"} \
	%{?_with_uClibc:ADD_RAW="no" HAVE_PAM="no"}

%ifarch ppc
%{__cc} %{rpmcflags} %{rpmldflags} clock-ppc.c -o clock-ppc
%endif

cd sys-utils
makeinfo ipc.texi

%install
rm -rf $RPM_BUILD_ROOT

%if %{?BOOT:1}%{!?BOOT:0}
install -d $RPM_BUILD_ROOT%{_libdir}/bootdisk/sbin
install fdisk-BOOT $RPM_BUILD_ROOT%{_libdir}/bootdisk/sbin/fdisk
%endif

install -d $RPM_BUILD_ROOT/{bin,sbin,etc/{pam.d,logrotate,rc.d/init.d,sysconfig}} \
	$RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_infodir},%{_datadir}/misc} \
	$RPM_BUILD_ROOT{%{_examplesdir},%{_mandir}/man{1,5,6,8}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALLSUID="install -m 755" \
	MOREHELPDIR=$RPM_BUILD_ROOT%{_datadir}/misc \
	GETOPTDIR=$RPM_BUILD_ROOT%{_examplesdir}/getopt \
	USRGAMESDIR=$RPM_BUILD_ROOT%{_bindir} \
	USE_TTY_GROUP=no \
	%{!?_with_uClibc:ADD_RAW="yes"} \
	%{?_with_uClibc:ADD_RAW="no" HAVE_PAM="no"}

install %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/login
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/rawdevices
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/rawdevices

install -d $RPM_BUILD_ROOT/{etc/security,var/lock}

> $RPM_BUILD_ROOT/etc/security/blacklist.login

:> $RPM_BUILD_ROOT/var/lock/wtmpxlock

%ifarch ppc
mv -f $RPM_BUILD_ROOT/sbin/hwclock $RPM_BUILD_ROOT/sbin/hwclock.rtc
install clock-ppc $RPM_BUILD_ROOT/sbin/hwclock.adb
#yneed fix: 
# hwclock.adb is for PowerMac (default)
# hwclock.rtc is for RS/6000 (PreP,CHRP)
ln -sf hwclock.adb $RPM_BUILD_ROOT/sbin/hwclock
%endif

ln -sf hwclock $RPM_BUILD_ROOT/sbin/clock
echo '.so hwclock.8' > $RPM_BUILD_ROOT%{_mandir}/man8/clock.8

ln -sf swapon $RPM_BUILD_ROOT/sbin/swapoff

for d in cs de es fi fr hu id it ja ko nl pl ; do
    for m in man1 man5 man8 ; do
	if [ -d man/$d/$m ]; then
	    install -d $RPM_BUILD_ROOT%{_mandir}/$d/$m
	    install man/$d/$m/* $RPM_BUILD_ROOT%{_mandir}/$d/$m
	fi
    done
done

%{!?_with_uClibc:%find_lang %{name}}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%post -n rawdevices
/sbin/chkconfig --add rawdevices
if [ -f /var/lock/subsys/rawdevices ]; then
	/etc/rc.d/init.d/rawdevices restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/rawdevices start\" to start rawdevices."
fi

%preun -n rawdevices
if [ -f /var/lock/subsys/rawdevices ]; then
	/etc/rc.d/init.d/rawdevices stop 1>&2
fi
/sbin/chkconfig --del rawdevices

%files %{!?_with_uClibc:-f %{name}.lang}
%defattr(644,root,root,755)
%doc */README.* text-utils/LICENSE.pg

%attr(755,root,root) /sbin/clock
%ifarch ppc
%attr(755,root,root) %config(noreplace) /sbin/hwclock
%attr(755,root,root) /sbin/hwclock.adb
%attr(755,root,root) /sbin/hwclock.rtc
%else
%attr(755,root,root) /sbin/hwclock*
%endif

%{_mandir}/man8/clock.8*
%{_mandir}/man8/hwclock.8*
%lang(es) %{_mandir}/es/man8/clock.8*
%lang(es) %{_mandir}/es/man8/hwclock.8*
%lang(ja) %{_mandir}/ja/man8/clock.8*
%lang(ja) %{_mandir}/ja/man8/hwclock.8*

%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/fdprm

%attr(755,root,root) /bin/arch
%attr(755,root,root) /bin/dmesg
%attr(755,root,root) /bin/kill
%{!?_with_uClibc:%attr(755,root,root) /bin/more}
%attr(755,root,root) /sbin/blockdev
%attr(755,root,root) /sbin/mkfs
%attr(755,root,root) /sbin/mkswap
%attr(755,root,root) /sbin/ctrlaltdel
%attr(755,root,root) /sbin/elvtune
%attr(755,root,root) %{_bindir}/cal
%attr(755,root,root) %{_bindir}/col
%attr(755,root,root) %{_bindir}/colcrt
%attr(755,root,root) %{_bindir}/colrm
%attr(755,root,root) %{_bindir}/column
%attr(755,root,root) %{_bindir}/ddate
%attr(755,root,root) %{_bindir}/fdformat
%attr(755,root,root) %{_bindir}/getopt
%attr(755,root,root) %{_bindir}/hexdump
%attr(755,root,root) %{_bindir}/ipcrm
%attr(755,root,root) %{_bindir}/ipcs
%attr(755,root,root) %{_bindir}/isosize
%attr(755,root,root) %{_bindir}/logger
%attr(755,root,root) %{_bindir}/look
%attr(755,root,root) %{_bindir}/mcookie
%attr(755,root,root) %{_bindir}/namei
%attr(755,root,root) %{_bindir}/renice
%attr(755,root,root) %{_bindir}/rev
%attr(755,root,root) %{_bindir}/script
%attr(755,root,root) %{_bindir}/setsid
%attr(755,root,root) %{_bindir}/setfdprm
%attr(755,root,root) %{_bindir}/pg
%attr(755,root,root) %{_bindir}/line
%attr(755,root,root) %{_bindir}/rename
%{!?_with_uClibc:%attr(755,root,root) %{_bindir}/setterm}
%{!?_with_uClibc:%attr(755,root,root) %{_bindir}/ul}
%attr(755,root,root) %{_bindir}/whereis
%attr(2755,root,tty) %{_bindir}/write
%attr(755,root,root) %{_sbindir}/readprofile

%{_mandir}/man1/arch.1*
%{_mandir}/man1/cal.1*
%{_mandir}/man1/col.1*
%{_mandir}/man1/colcrt.1*
%{_mandir}/man1/colrm.1*
%{_mandir}/man1/column.1*
%{_mandir}/man1/ddate.1*
%{_mandir}/man1/getopt.1*
%{_mandir}/man1/hexdump.1*
%{_mandir}/man1/kill.1*
%{_mandir}/man1/logger.1*
%{_mandir}/man1/look.1*
%{_mandir}/man1/mcookie.1*
%{!?_with_uClibc:%{_mandir}/man1/more.1*}
%{_mandir}/man1/namei.1*
%{_mandir}/man1/readprofile.1*
%{_mandir}/man1/rev.1*
%{_mandir}/man1/rename.1*
%{_mandir}/man1/script.1*
%{!?_with_uClibc:%{_mandir}/man1/setterm.1*}
%{!?_with_uClibc:%{_mandir}/man1/ul.1*}
%{_mandir}/man1/whereis.1*
%{_mandir}/man1/write.1*
%{_mandir}/man1/pg.1*
%{_mandir}/man1/line.1*

%{_mandir}/man8/blockdev.8*
%{_mandir}/man8/ctrlaltdel.8*
%{_mandir}/man8/cytune.8*
%{_mandir}/man8/dmesg.8*
%{_mandir}/man8/elvtune.8*
%{_mandir}/man8/fdformat.8*
%{_mandir}/man8/ipcrm.8*
%{_mandir}/man8/ipcs.8*
%{_mandir}/man8/isosize.8*
%{_mandir}/man8/mkswap.8*
%{_mandir}/man8/renice.8*
%{_mandir}/man8/setfdprm.8*
%{_mandir}/man8/setsid.8*

%lang(de) %{_mandir}/de/man1/kill.1*
%lang(de) %{_mandir}/de/man1/more.1*
%lang(de) %{_mandir}/de/man1/write.1*

%lang(de) %{_mandir}/de/man8/fdformat.8*

%lang(es) %{_mandir}/es/man1/arch.1*
%lang(es) %{_mandir}/es/man1/colrm.1*
%lang(es) %{_mandir}/es/man1/column.1*
%lang(es) %{_mandir}/es/man1/ddate.1*
%lang(es) %{_mandir}/es/man1/getopt.1*
%lang(es) %{_mandir}/es/man1/look.1*
%lang(es) %{_mandir}/es/man1/more.1*
%lang(es) %{_mandir}/es/man1/namei.1*
%lang(es) %{_mandir}/es/man1/readprofile.1*
%lang(es) %{_mandir}/es/man1/rev.1*
%lang(es) %{_mandir}/es/man1/script.1*
%lang(es) %{_mandir}/es/man1/setterm.1*
%lang(es) %{_mandir}/es/man1/ul.1*
%lang(es) %{_mandir}/es/man1/whereis.1*
%lang(es) %{_mandir}/es/man1/write.1*

%lang(es) %{_mandir}/es/man8/cytune.8*
%lang(es) %{_mandir}/es/man8/ctrlaltdel.8*
%lang(es) %{_mandir}/es/man8/ipcrm.8*
%lang(es) %{_mandir}/es/man8/ipcs.8*
%lang(es) %{_mandir}/es/man8/mkswap.8*
%lang(es) %{_mandir}/es/man8/renice.8*
%lang(es) %{_mandir}/es/man8/setfdprm.8*
%lang(es) %{_mandir}/es/man8/setsid.8*

%lang(fi) %{_mandir}/fi/man1/arch.1*
%lang(fi) %{_mandir}/fi/man1/cal.1*
%lang(fi) %{_mandir}/fi/man1/column.1*
%lang(fi) %{_mandir}/fi/man1/kill.1*
%lang(fi) %{_mandir}/fi/man1/more.1*
%lang(fi) %{_mandir}/fi/man1/whereis.1*
%lang(fi) %{_mandir}/fi/man1/write.1*

%lang(fr) %{_mandir}/fr/man1/arch.1*
%lang(fr) %{_mandir}/fr/man1/cal.1*
%lang(fr) %{_mandir}/fr/man1/col.1*
%lang(fr) %{_mandir}/fr/man1/kill.1*
%lang(fr) %{_mandir}/fr/man1/more.1*
%lang(fr) %{_mandir}/fr/man1/whereis.1*
%lang(fr) %{_mandir}/fr/man1/write.1*

%lang(fr) %{_mandir}/fr/man8/ctrlaltdel.8*
%lang(fr) %{_mandir}/fr/man8/dmesg.8*
%lang(fr) %{_mandir}/fr/man8/fdformat.8*
%lang(fr) %{_mandir}/fr/man8/ipcrm.8*
%lang(fr) %{_mandir}/fr/man8/ipcs.8*
%lang(fr) %{_mandir}/fr/man8/setsid.8*

%lang(hu) %{_mandir}/hu/man1/arch.1*
%lang(hu) %{_mandir}/hu/man1/cal.1*
%lang(hu) %{_mandir}/hu/man1/colrm.1*
%lang(hu) %{_mandir}/hu/man1/hexdump.1*
%lang(hu) %{_mandir}/hu/man1/kill.1*
%lang(hu) %{_mandir}/hu/man1/logger.1*
%lang(hu) %{_mandir}/hu/man1/more.1*
%lang(hu) %{_mandir}/hu/man1/setterm.1*
%lang(hu) %{_mandir}/hu/man1/whereis.1*
%lang(hu) %{_mandir}/hu/man1/write.1*

%lang(hu) %{_mandir}/hu/man8/ctrlaltdel.8*
%lang(hu) %{_mandir}/hu/man8/fdformat.8*
%lang(hu) %{_mandir}/hu/man8/mkswap.8*

%lang(id) %{_mandir}/id/man1/cal.1*
%lang(id) %{_mandir}/id/man1/kill.1*
%lang(id) %{_mandir}/id/man1/logger.1*
%lang(id) %{_mandir}/id/man1/more.1*
%lang(id) %{_mandir}/id/man1/script.1*
%lang(id) %{_mandir}/id/man1/write.1*

%lang(id) %{_mandir}/id/man8/fdformat.8*

%lang(it) %{_mandir}/it/man1/arch.1*
%lang(it) %{_mandir}/it/man1/kill.1*

%lang(it) %{_mandir}/it/man8/mkswap.8*
%lang(it) %{_mandir}/it/man8/setsid.8*

%lang(ja) %{_mandir}/ja/man1/arch.1*
%lang(ja) %{_mandir}/ja/man1/cal.1*
%lang(ja) %{_mandir}/ja/man1/col.1*
%lang(ja) %{_mandir}/ja/man1/colcrt.1*
%lang(ja) %{_mandir}/ja/man1/colrm.1*
%lang(ja) %{_mandir}/ja/man1/column.1*
%lang(ja) %{_mandir}/ja/man1/ddate.1*
%lang(ja) %{_mandir}/ja/man1/getopt.1*
%lang(ja) %{_mandir}/ja/man1/hexdump.1*
%lang(ja) %{_mandir}/ja/man1/kill.1*
%lang(ja) %{_mandir}/ja/man1/logger.1*
%lang(ja) %{_mandir}/ja/man1/look.1*
%lang(ja) %{_mandir}/ja/man1/mcookie.1*
%lang(ja) %{_mandir}/ja/man1/more.1*
%lang(ja) %{_mandir}/ja/man1/namei.1*
%lang(ja) %{_mandir}/ja/man1/readprofile.1*
%lang(ja) %{_mandir}/ja/man1/rev.1*
%lang(ja) %{_mandir}/ja/man1/script.1*
%lang(ja) %{_mandir}/ja/man1/setterm.1*
%lang(ja) %{_mandir}/ja/man1/ul.1*
%lang(ja) %{_mandir}/ja/man1/whereis.1*
%lang(ja) %{_mandir}/ja/man1/write.1*

%lang(ja) %{_mandir}/ja/man8/blockdev.8*
%lang(ja) %{_mandir}/ja/man8/ctrlaltdel.8*
%lang(ja) %{_mandir}/ja/man8/cytune.8*
%lang(ja) %{_mandir}/ja/man8/dmesg.8*
%lang(ja) %{_mandir}/ja/man8/elvtune.8*
%lang(ja) %{_mandir}/ja/man8/fdformat.8*
%lang(ja) %{_mandir}/ja/man8/ipcrm.8*
%lang(ja) %{_mandir}/ja/man8/ipcs.8*
%lang(ja) %{_mandir}/ja/man8/isosize.8*
%lang(ja) %{_mandir}/ja/man8/mkswap.8*
%lang(ja) %{_mandir}/ja/man8/renice.8*
%lang(ja) %{_mandir}/ja/man8/setfdprm.8*
%lang(ja) %{_mandir}/ja/man8/setsid.8*

%lang(ko) %{_mandir}/ko/man1/arch.1*
%lang(ko) %{_mandir}/ko/man1/cal.1*
%lang(ko) %{_mandir}/ko/man1/col.1*
%lang(ko) %{_mandir}/ko/man1/colcrt.1*
%lang(ko) %{_mandir}/ko/man1/colrm.1*
%lang(ko) %{_mandir}/ko/man1/column.1*
%lang(ko) %{_mandir}/ko/man1/ddate.1*
%lang(ko) %{_mandir}/ko/man1/getopt.1*
%lang(ko) %{_mandir}/ko/man1/hexdump.1*
%lang(ko) %{_mandir}/ko/man1/kill.1*
%lang(ko) %{_mandir}/ko/man1/logger.1*
%lang(ko) %{_mandir}/ko/man1/look.1*
%lang(ko) %{_mandir}/ko/man1/mcookie.1*
%lang(ko) %{_mandir}/ko/man1/more.1*
%lang(ko) %{_mandir}/ko/man1/namei.1*
%lang(ko) %{_mandir}/ko/man1/readprofile.1*
%lang(ko) %{_mandir}/ko/man1/rev.1*
%lang(ko) %{_mandir}/ko/man1/script.1*
%lang(ko) %{_mandir}/ko/man1/setterm.1*
%lang(ko) %{_mandir}/ko/man1/ul.1*
%lang(ko) %{_mandir}/ko/man1/whereis.1*
%lang(ko) %{_mandir}/ko/man1/write.1*

%lang(ko) %{_mandir}/ko/man8/ctrlaltdel.8*
%lang(ko) %{_mandir}/ko/man8/dmesg.8*
%lang(ko) %{_mandir}/ko/man8/fdformat.8*
%lang(ko) %{_mandir}/ko/man8/ipcrm.8*
%lang(ko) %{_mandir}/ko/man8/ipcs.8*
%lang(ko) %{_mandir}/ko/man8/mkswap.8*
%lang(ko) %{_mandir}/ko/man8/renice.8*
%lang(ko) %{_mandir}/ko/man8/setfdprm.8*
%lang(ko) %{_mandir}/ko/man8/setsid.8*

%lang(nl) %{_mandir}/nl/man1/kill.1*

%lang(pl) %{_mandir}/pl/man1/arch.1*
%lang(pl) %{_mandir}/pl/man1/cal.1*
%lang(pl) %{_mandir}/pl/man1/col.1*
%lang(pl) %{_mandir}/pl/man1/colcrt.1*
%lang(pl) %{_mandir}/pl/man1/colrm.1*
%lang(pl) %{_mandir}/pl/man1/getopt.1*
%lang(pl) %{_mandir}/pl/man1/hexdump.1*
%lang(pl) %{_mandir}/pl/man1/kill.1*
%lang(pl) %{_mandir}/pl/man1/look.1*
%lang(pl) %{_mandir}/pl/man1/logger.1*
%lang(pl) %{_mandir}/pl/man1/more.1*
%lang(pl) %{_mandir}/pl/man1/rev.1*
%lang(pl) %{_mandir}/pl/man1/script.1*
%lang(pl) %{_mandir}/pl/man1/setterm.1*
%lang(pl) %{_mandir}/pl/man1/ul.1*
%lang(pl) %{_mandir}/pl/man1/whereis.1*
%lang(pl) %{_mandir}/pl/man1/write.1*

%lang(pl) %{_mandir}/pl/man8/ctrlaltdel.8*
%lang(pl) %{_mandir}/pl/man8/dmesg.8*
%lang(pl) %{_mandir}/pl/man8/fdformat.8*
%lang(pl) %{_mandir}/pl/man8/ipcrm.8*
%lang(pl) %{_mandir}/pl/man8/ipcs.8*
%lang(pl) %{_mandir}/pl/man8/mkswap.8*
%lang(pl) %{_mandir}/pl/man8/renice.8*
%lang(pl) %{_mandir}/pl/man8/setfdprm.8*

%dir %{_examplesdir}/getopt
%attr(755,root,root) %{_examplesdir}/getopt/*
%{_datadir}/misc/more.help

%{!?_with_uClibc:%attr(755,root,root) /sbin/cfdisk}
%attr(755,root,root) /sbin/fdisk
%attr(755,root,root) /sbin/fsck.minix
%attr(755,root,root) /sbin/mkfs.minix
%attr(755,root,root) /sbin/sfdisk

%{!?_with_uClibc:%{_mandir}/man8/cfdisk.8*}
%{_mandir}/man8/fdisk.8*
%{_mandir}/man8/sfdisk.8*
%{_mandir}/man8/fsck.minix.8*
%{_mandir}/man8/mkfs.bfs.8*
%{_mandir}/man8/mkfs.minix.8*
%{_mandir}/man8/mkfs.8*

%lang(es) %{_mandir}/es/man8/fdisk.8*
%lang(es) %{_mandir}/es/man8/fsck.minix.8*
%lang(es) %{_mandir}/es/man8/mkfs.minix.8*
%lang(es) %{_mandir}/es/man8/mkfs.8*

%lang(fr) %{_mandir}/fr/man8/cfdisk.8*
%lang(fr) %{_mandir}/fr/man8/fdisk.8*
%lang(fr) %{_mandir}/fr/man8/sfdisk.8*
%lang(fr) %{_mandir}/fr/man8/mkfs.minix.8*
%lang(fr) %{_mandir}/fr/man8/mkfs.8*

%lang(hu) %{_mandir}/hu/man8/mkfs.8*

%lang(it) %{_mandir}/it/man8/cfdisk.8*
%lang(it) %{_mandir}/it/man8/fdisk.8*

%lang(ja) %{_mandir}/ja/man8/cfdisk.8*
%lang(ja) %{_mandir}/ja/man8/fdisk.8*
%lang(ja) %{_mandir}/ja/man8/sfdisk.8*
%lang(ja) %{_mandir}/ja/man8/fsck.minix.8*
%lang(ja) %{_mandir}/ja/man8/mkfs.bfs.8*
%lang(ja) %{_mandir}/ja/man8/mkfs.minix.8*
%lang(ja) %{_mandir}/ja/man8/mkfs.8*

%lang(ko) %{_mandir}/ko/man8/fdisk.8*
%lang(ko) %{_mandir}/ko/man8/fsck.minix.8*
%lang(ko) %{_mandir}/ko/man8/mkfs.minix.8*
%lang(ko) %{_mandir}/ko/man8/mkfs.8*

%lang(pl) %{_mandir}/pl/man8/fdisk.8*
%lang(pl) %{_mandir}/pl/man8/fsck.minix.8*
%lang(pl) %{_mandir}/pl/man8/mkfs.minix.8*
%lang(pl) %{_mandir}/pl/man8/mkfs.8*

%attr(755,root,root) /sbin/fsck.cramfs
%attr(755,root,root) /sbin/mkfs.cramfs
%attr(755,root,root) /sbin/mkfs.bfs

%attr(755,root,root) %{_bindir}/cytune

%ifarch %{ix86}
%attr(755,root,root) %{_sbindir}/ramsize
%attr(755,root,root) %{_sbindir}/rdev
%attr(755,root,root) %{_sbindir}/rootflags
%attr(755,root,root) %{_sbindir}/vidmode

%{_mandir}/man8/ramsize.8*
%{_mandir}/man8/rdev.8*
%{_mandir}/man8/rootflags.8*
%{_mandir}/man8/vidmode.8*

%lang(de) %{_mandir}/de/man8/ramsize.8*
%lang(de) %{_mandir}/de/man8/rdev.8*
%lang(de) %{_mandir}/de/man8/rootflags.8*
%lang(de) %{_mandir}/de/man8/vidmode.8*

%lang(es) %{_mandir}/es/man8/ramsize.8*
%lang(es) %{_mandir}/es/man8/rdev.8*
%lang(es) %{_mandir}/es/man8/rootflags.8*
%lang(es) %{_mandir}/es/man8/vidmode.8*

%lang(ja) %{_mandir}/ja/man8/ramsize.8*
%lang(ja) %{_mandir}/ja/man8/rdev.8*
%lang(ja) %{_mandir}/ja/man8/rootflags.8*
%lang(ja) %{_mandir}/ja/man8/vidmode.8*

%lang(ko) %{_mandir}/ko/man8/ramsize.8*
%lang(ko) %{_mandir}/ko/man8/rdev.8*
%lang(ko) %{_mandir}/ko/man8/rootflags.8*
%lang(ko) %{_mandir}/ko/man8/vidmode.8*

%lang(pl) %{_mandir}/pl/man8/ramsize.8*
%lang(pl) %{_mandir}/pl/man8/rdev.8*
%lang(pl) %{_mandir}/pl/man8/rootflags.8*
%lang(pl) %{_mandir}/pl/man8/vidmode.8*
%endif

%{_infodir}/ipc*

%ghost /var/lock/wtmpxlock

%files -n mount
%defattr(644,root,root,755)

%attr(4755,root,root) /bin/mount
%attr(4755,root,root) /bin/umount
%{?_with_pivot_root:%attr(755,root,root) /sbin/pivot_root}
%attr(755,root,root) /sbin/swapon
%attr(755,root,root) /sbin/swapoff

%{_mandir}/man5/fstab.5*
%{_mandir}/man5/nfs.5*

%{_mandir}/man8/mount.8*
%{_mandir}/man8/umount.8*
%{?_with_pivot_root:%{_mandir}/man8/pivot_root.8*}
%{_mandir}/man8/swapon.8*
%{_mandir}/man8/swapoff.8*

%lang(cs) %{_mandir}/cs/man5/fstab.5*

%lang(de) %{_mandir}/de/man5/fstab.5*
%lang(de) %{_mandir}/de/man5/nfs.5*

%lang(es) %{_mandir}/es/man5/fstab.5*
%lang(es) %{_mandir}/es/man5/nfs.5*

%lang(es) %{_mandir}/es/man8/mount.8*
%lang(es) %{_mandir}/es/man8/umount.8*
%lang(es) %{_mandir}/es/man8/swapon.8*
%lang(es) %{_mandir}/es/man8/swapoff.8*

%lang(fr) %{_mandir}/fr/man5/fstab.5*
%lang(fr) %{_mandir}/fr/man5/nfs.5*

%lang(fr) %{_mandir}/fr/man8/mount.8*
%lang(fr) %{_mandir}/fr/man8/umount.8*

%lang(hu) %{_mandir}/hu/man5/fstab.5*

%lang(hu) %{_mandir}/hu/man8/mount.8*
%lang(hu) %{_mandir}/hu/man8/umount.8*

%lang(it) %{_mandir}/it/man5/fstab.5*
%lang(it) %{_mandir}/it/man5/nfs.5*

%lang(it) %{_mandir}/it/man8/mount.8*
%lang(it) %{_mandir}/it/man8/umount.8*
%lang(it) %{_mandir}/it/man8/swapon.8*
%lang(it) %{_mandir}/it/man8/swapoff.8*

%lang(ja) %{_mandir}/ja/man5/fstab.5*
%lang(ja) %{_mandir}/ja/man5/nfs.5*

%lang(ja) %{_mandir}/ja/man8/mount.8*
%lang(ja) %{_mandir}/ja/man8/umount.8*
%{?_with_pivot_root:%lang(ja) %{_mandir}/ja/man8/pivot_root.8*}
%lang(ja) %{_mandir}/ja/man8/swapon.8*
%lang(ja) %{_mandir}/ja/man8/swapoff.8*

%lang(ko) %{_mandir}/ko/man5/fstab.5*
%lang(ko) %{_mandir}/ko/man5/nfs.5*

%lang(ko) %{_mandir}/ko/man8/mount.8*
%lang(ko) %{_mandir}/ko/man8/umount.8*
%lang(ko) %{_mandir}/ko/man8/swapon.8*
%lang(ko) %{_mandir}/ko/man8/swapoff.8*

%lang(pl) %{_mandir}/pl/man5/fstab.5*
%lang(pl) %{_mandir}/pl/man5/nfs.5*

%lang(pl) %{_mandir}/pl/man8/mount.8*
%lang(pl) %{_mandir}/pl/man8/umount.8*
%lang(pl) %{_mandir}/pl/man8/swapon.8*
%lang(pl) %{_mandir}/pl/man8/swapoff.8*

%files -n losetup
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/losetup

%{_mandir}/man8/losetup.8*
%lang(fr) %{_mandir}/fr/man8/losetup.8*
%lang(it) %{_mandir}/it/man8/losetup.8*
%lang(ja) %{_mandir}/ja/man8/losetup.8*
%lang(ko) %{_mandir}/ko/man8/losetup.8*
%lang(pl) %{_mandir}/pl/man8/losetup.8*

%files chkdupexe
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/chkdupexe

%{_mandir}/man1/chkdupexe.1*
%lang(ja) %{_mandir}/ja/man1/chkdupexe.1*
%lang(ko) %{_mandir}/ko/man1/chkdupexe.1*
%lang(pl) %{_mandir}/pl/man1/chkdupexe.1*

%files -n tunelp
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/tunelp

%{_mandir}/man8/tunelp.8*
%lang(es) %{_mandir}/es/man8/tunelp.8*
%lang(ja) %{_mandir}/ja/man8/tunelp.8*
%lang(pl) %{_mandir}/pl/man8/tunelp.8*

%if %{?_with_uClibc:0}%{!?_with_uClibc:1}
%files -n login
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not mtime size md5) /etc/pam.d/login
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/security/blacklist.login
%attr(755,root,root) /bin/login

%{_mandir}/man1/login.1*
%lang(de) %{_mandir}/de/man1/login.1*
%lang(es) %{_mandir}/es/man1/login.1*
%lang(hu) %{_mandir}/hu/man1/login.1*
%lang(id) %{_mandir}/id/man1/login.1*
%lang(ja) %{_mandir}/ja/man1/login.1*
%lang(ko) %{_mandir}/ko/man1/login.1*
%lang(pl) %{_mandir}/pl/man1/login.1*
%endif

%files -n agetty
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/agetty

%{_mandir}/man8/agetty.8*
%lang(es) %{_mandir}/es/man8/agetty.8*
%lang(ja) %{_mandir}/ja/man8/agetty.8*

%if %{?_with_uClibc:0}%{!?_with_uClibc:1}
%files -n rawdevices
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/raw
%attr(750,root,root) /etc/rc.d/init.d/rawdevices
%attr(640,root,root) %config(noreplace) /etc/sysconfig/rawdevices

%{_mandir}/man8/raw.8*
%lang(ja) %{_mandir}/ja/man8/raw.8*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: util-linux.spec,v $
Revision 1.192.2.4  2003/09/06 20:40:54  blues
- one missing

Revision 1.192.2.3  2003/09/06 20:38:53  blues
- release 3

Revision 1.192.2.2  2003/09/06 20:35:16  blues
- md5

Revision 1.192.2.1  2003/07/11 12:04:30  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.192  2002/10/24 00:22:14  ankry
- updated man pages; rel. 2

Revision 1.191  2002/10/11 14:04:22  kloczek
- updated to 2.11w: translations updates, fixes for "right" endian, sparc,
  enhancments for evms.

Revision 1.190  2002/09/03 16:17:23  qboosh
- updated to 2.11u, updated raw patch, removed obsolete alpha patch
  (this version has fixes for fdisk on empty disk)

Revision 1.189  2002/08/14 15:04:21  qboosh
- fixed build on alpha, release 5

Revision 1.188  2002/08/03 12:12:54  qboosh
- added missing rename(1) manual

Revision 1.187  2002/07/29 20:50:47  marcus
- fix for hwclock on ppc,
it in future will be fix better (on ppc are two hwclocks)

Revision 1.186  2002/07/29 17:54:09  dzimi
- rel 4
- SECURITY UPDATE:
  add util-linux-chfn_exploid.patch;
  SECURITY patch, chfn local root vulnerability
STBR

Revision 1.185  2002/07/18 16:20:05  kloczek
- release 3.

Revision 1.184  2002/07/18 14:55:43  dzimi
- add BuildRequest: zlib-devel (fsck.cromfs.c:45)

Revision 1.183  2002/07/09 12:24:29  wiget
- oops, no manuals for cramfs tools

Revision 1.182  2002/07/09 11:45:42  wiget
- updated to 2.11t (bugfixes and translations update)
- added pg, line, rename, mkfs.bfs, mkfs.cramfs, fsck.cramfs binaries and manuals to %%files
- added pl logger.1 man page to %%files

Revision 1.181  2002/06/10 21:17:21  qboosh
- removed bashisms, new %%doc
- automagically build pivot_root if kernel 2.4 detected
- OK, login-problems patch seems obsolete
- release 2, STBR-test

Revision 1.180  2002/06/10 13:56:45  qboosh
- updated and re-enabled losetup-getpass patch on 2.2.x with crypto
- but could someone test if losetup/mount with encryption builds and works
  on 2.2.x after compiling with cryptoapi patch instead of
  kerneli+losetup-getpass patches?
- need to check if login-problems patch is really obsolete...

Revision 1.179  2002/06/10 13:34:21  qboosh
- removed obsolete fdisk2 patch

Revision 1.178  2002/05/20 14:53:41  trojan
- removed %endif (from kloczek's copy/paste), now compile

Revision 1.177  2002/05/20 14:40:53  trojan
- typo

Revision 1.176  2002/05/20 13:33:12  kloczek
- release changed to 1 and merge translations from KSI.

Revision 1.175  2002/05/20 11:24:22  marcus
- fixed %%files for hwclock on ppc

Revision 1.174  2002/05/20 11:04:16  marcus
- hwclock for /dev/rtc on ppc is necessary for IBM CHRP platform

Revision 1.173  2002/05/20 09:28:34  cieciwa
- release 0.2,
- removed unnedded patch14.

Revision 1.172  2002/05/20 08:51:53  cieciwa
- updatet to version 2.11r,
- removed fdisk2 patch,
- removed login patch.

- Compile: OK, work: ?

Revision 1.171  2002/03/20 23:35:08  kloczek
- release 5.

Revision 1.170  2002/03/18 10:27:10  malekith
- don't try to make rawdewices*rpm --with uClibc
- removed one more BOOT

Revision 1.169  2002/03/18 10:12:12  malekith
- typo

Revision 1.168  2002/03/18 09:17:46  malekith
- --with uClibc hack added (don't build few binaries)

Revision 1.167  2002/03/08 19:22:10  qboosh
- kerneli-2.4 patch replaced with new cryptoapi patch
  (I think it should work with 2.2 too, but must be tested)
- release 4

Revision 1.166  2002/03/07 23:23:46  misiek
- typo

Revision 1.165  2002/03/07 20:20:20  misiek
- include power pc version of hwclock

Revision 1.164  2002/02/26 12:15:39  qboosh
- renamed rawdevices-{init,sysconfig} to standard rawdevices.{init,sysconfig}
- removed Requires: kernel - it's evil (Conflicts not added back)
- release 3

Revision 1.163  2002/02/24 00:27:44  saq
- change Conflicts: wrong-kernel-series to Requires: right-kernel-series
- respect _without_dist_kernel
- release 2, STBR

Revision 1.162  2002/02/23 05:04:55  kloczek
- adapterized.

Revision 1.161  2002/02/22 23:29:52  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.160  2002/02/20 12:41:34  misiek
- updated to 2.11n

Revision 1.159  2002/02/11 06:01:01  kloczek
- adapterized.

Revision 1.158  2002/02/11 03:49:24  speedy
- release 2
- fixed building on sparc, STBR

Revision 1.157  2002/01/18 02:15:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.156  2002/01/03 23:10:30  gotar
- added BuildRequires: {grep,textutils} (_kernel{_ver,24} defining).

Revision 1.155  2001/12/28 17:15:58  gotar
- changes in descriptions.

Revision 1.154  2001/12/13 08:15:01  gotar
- %install: touch replaced with >.

Revision 1.153  2001/12/08 23:36:03  qboosh
- argh, s390 patch was to be removed from spec, not kerneli-2.4!
- release 1, not 5

Revision 1.152  2001/12/08 21:37:19  kloczek
- updated to 2.11m (more translations and few minor fixes in fdisk, more,
  setterm and mount),
- removed obsoleted s390 and qnx4 patches.

Revision 1.151  2001/11/12 21:59:37  qboosh
- finished removing bogus da man pages

Revision 1.150  2001/11/12 07:08:10  ankry
- removed bogus da man pages
- release 5

Revision 1.149  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.148  2001/11/01 00:59:33  ankry
- added da,de,id,nl man pages
- moved .so pointer pages into tar instead of creation in spec
- release 4

Revision 1.147  2001/10/31 18:34:03  ankry
- added es man pages from man-pages-es-extra-0.8a.tar.gz
- added ja/man1/login.1 from Japanese shadow translation
- release 3

Revision 1.146  2001/10/31 17:26:18  blues
- added Provides: fdisk

Revision 1.145  2001/10/18 16:40:24  gotar
- cosmetics.

Revision 1.144  2001/10/16 23:06:23  qboosh
- release 2: updated kerneli-2.4 patch

Revision 1.143  2001/10/16 15:54:06  kloczek
- updated to 2.11l,
- removed banner.

Revision 1.142  2001/10/16 08:38:04  qboosh
- don't apply losetup-getpass patch when compiling --without crypto
- added some cs,de,fi,fr,hu,it,ja,ko,pl man pages
- release 4

Revision 1.141  2001/10/08 22:22:18  kloczek
- release 2: removed newgrp, vi{gr,pw} (this programs will be moved to shadow).

Revision 1.140  2001/10/04 14:15:24  blues
- fixed double release in mount.
- STB with the same relese - bug-fix

Revision 1.139  2001/10/03 16:24:14  qboosh
- release 2: fixed kerneli-2.4 patch number

Revision 1.138  2001/10/02 02:13:37  kloczek
- updated to 2.11k and removed mount-rpc obsoleted patch.

Revision 1.137  2001/09/25 13:59:04  qboosh
- release 7: changed /sbin/chkconfig requires in raw to Prereq

Revision 1.136  2001/09/24 11:20:20  klakier
- BOOT fix: now it works

Revision 1.135  2001/09/24 11:08:44  klakier
- BOOT fix

Revision 1.134  2001/09/24 10:58:52  klakier
- BOOT fix

Revision 1.133  2001/09/24 10:46:41  klakier
- added BOOT package
  NOT TESTED - building with --without crypto does not work

Revision 1.132  2001/09/15 03:14:02  blues
- some translations

Revision 1.131  2001/09/09 17:46:14  gotar
- cosmetical changes in descriptions.

Revision 1.130  2001/08/30 12:18:49  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.129  2001/08/16 22:24:24  qboosh
- login-problems patch: should solve problems with ash/csh/ksh/zsh as login
  shell
- release 6

Revision 1.128  2001/08/15 20:39:01  saq
- use %%{_kernelsrcdir}
- only mount and losetup get @2.[24] suffix (others don't depend)
- fixes in the suffix determination
- release 5
- STB

Revision 1.127  2001/08/04 19:35:09  qboosh
- fixed info patch
- cut down losetup-getpass patch (don't need no .orig files)
- losetup-getpass is contained in kerneli-2.4 - use it only with 2.2 kernels
- use %%configure2_13 - configure is not autoconf-generated
- release 4

Revision 1.126  2001/07/26 16:50:25  saq
- don't use macros not available in standard rpm. Define them in the spec.
(_kernel_ver, _kernel24)

Revision 1.125  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.123  2001/07/23 22:22:52  saq
A group commit:
- %define _kernel_ver and _kernel24 removed (already in rpm.macros)
- kernel modules get a @%{_kernel_ver} release suffix and conflict wrong
kernel version
- other packages get a @%{_kernel_series} release suffix and conflict
wrong kernel series
- need a rebuilt RPM to build these

Revision 1.122  2001/07/16 17:27:12  gotar
- removed redundant rpm macros,
- cosmetics.

Revision 1.121  2001/07/09 14:56:11  zagrodzki
- added losetup-getpass.patch
- release 3

Revision 1.120  2001/07/02 16:37:27  gotar
- spelling.

Revision 1.119  2001/07/02 11:32:05  undefine
- added agetty package(it's smaller than mgetty+mingetty and support serial
  lines

Revision 1.118  2001/07/01 13:35:48  klakier
- added 4755 to /usr/bin/newgrp

Revision 1.117  2001/07/01 09:03:58  gotar
- added using %%{__*} macros.

Revision 1.116  2001/06/30 15:07:01  blues
/etc/sysconfig/rawdevices has config(noreplace) now...

Revision 1.115  2001/06/30 15:03:03  blues
- 2 more typos

Revision 1.114  2001/06/30 14:52:04  blues
- added %post for rawdevices
- requires

Revision 1.113  2001/06/30 14:03:07  blues
- Release 2
- typo

Revision 1.112  2001/06/30 13:36:52  blues
- removed outdated rawio patch completely
- a few typos
almoust done

Revision 1.111  2001/06/30 12:26:46  blues
- removed rawio bcond (not needed now)
- commented out rawio patch

Revision 1.110  2001/06/30 12:13:17  blues
- typos
- started separate raw-device into separate package
- added rawdevice.init and rawdevice.sysconfig

Revision 1.109  2001/06/30 12:00:56  blues
- merged raw patch - use raw.h from glibc, not kernel

Revision 1.108  2001/06/30 10:04:53  blues
- added missing translation for login

Revision 1.107  2001/06/27 09:51:48  misiek
- updated to g version

Revision 1.106  2001/06/16 16:06:58  kloczek
- updated to 2.11f.

Revision 1.105  2001/06/10 20:16:22  kloczek
- updated to 2.11e,
- removed reopen-tty patch (now in main source),

Revision 1.104  2001/06/07 10:37:20  malekith
- fixed problem with no controling tty
- rel 2
- stbr

Revision 1.103  2001/06/03 21:06:45  misiek
- remove one more obsolete patch

Revision 1.102  2001/06/03 20:30:25  misiek
- fix kerneli support

Revision 1.101  2001/06/03 20:09:44  misiek
- removed swapdev references

Revision 1.100  2001/06/03 20:00:09  misiek
- removed obsolete patches
- updated to 2.11d

Revision 1.99  2001/05/22 09:06:52  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.98  2001/05/04 12:10:30  wiget
fix qnx4fs guessing

Revision 1.97  2001/05/02 18:06:02  klakier
- disabled debuging options if debug defined (needs -O1 at least)

Revision 1.96  2001/05/02 17:11:57  misiek
fix login problems

Revision 1.95  2001/04/28 23:45:01  qboosh
- added kerneli patch taken from patch-int-2.4.0.3.gz and updated
  to util-linux-2.11b
- on build kernel version is detected and proper kerneli patch chosen

Revision 1.94  2001/04/18 13:55:28  misiek
kbdrate manual removed

Revision 1.93  2001/04/02 17:38:15  misiek
added util-linux-kerneli-fix.patch by malekith

Revision 1.92  2001/03/21 09:38:30  misiek
2.11b

Revision 1.91  2001/02/05 19:55:25  alchemyx
- typo

Revision 1.90  2001/01/27 22:52:48  kloczek
- merge rawhide patches (fdisk-efi-dell, gecos, glibc, overflow, s390,
  sparcraid).

Revision 1.89  2001/01/27 21:58:03  kloczek
- updated to 2.10s,
- fixed handling _without_rawio,
- move banner to %%{_bindir},
- added isosize to %files.

Revision 1.88  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.87  2001/01/10 08:49:19  qboosh
- added pl/man8/tunelp.8 to %files -n tunelp
- login requires pam-pld (to avoid login-denied surprise)
- s/login/logger/ in util-linux descriptions (login is
  in separate package)

Revision 1.86  2001/01/04 01:30:14  kloczek
- release 3.

Revision 1.85  2001/01/03 21:41:41  qboosh
- bconds cleanup and summary
- adapterized

Revision 1.84  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.83  2000/12/12 19:55:18  baggins
- pivot_root built conditionally (define _with_pivot_root for it)

Revision 1.82  2000/12/12 19:40:47  baggins
- release 2
- added blockdev, elvtune and pivot_root to %files

Revision 1.81  2000/12/05 23:01:14  wiget
2.10r, changed conditional macros to _without_feature

Revision 1.80  2000/11/21 21:10:46  misiek
update to 2.10q

Revision 1.79  2000/11/12 18:21:02  wrobell
- conditional building crypto and raw io support

Revision 1.78  2000/11/02 12:02:58  krzyszcz
- added configure option for building the raw command

Revision 1.77  2000/09/28 17:18:39  kloczek
- typo.

Revision 1.76  2000/09/28 16:36:21  wrobell
- temporary fix

Revision 1.75  2000/09/28 14:44:52  kloczek
- spec %%{debug} ready,
- added using rpm new automation.

Revision 1.74  2000/09/28 01:33:46  wrobell
- crypto patch is back
- release++

Revision 1.73  2000/09/26 05:17:51  kloczek
- another fix related to previous.

Revision 1.72  2000/09/26 04:46:51  kloczek
- release 3,
- alpha, sparc fix: include clock, hwclock to package.

Revision 1.71  2000/09/25 12:48:13  kloczek
- relaease 2,
- sparc fix: include in %files list *fdisk and few other missing programs.

Revision 1.70  2000/08/25 14:04:32  baggins
- added syscall patch

Revision 1.69  2000/08/25 13:40:00  baggins
- updated to 2.10o
- added NFS patches

Revision 1.68  2000/07/15 13:00:35  zagrodzki
- release 6
- defattr for %files -n login
- adapterized

Revision 1.67  2000/07/15 03:20:40  kloczek
- fixed %description header for login.

Revision 1.66  2000/07/13 23:28:12  baggins
- release 5
- rebuild with ncurses 5.1

Revision 1.65  2000/07/12 22:19:17  waszi
- added login package

Revision 1.64  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.63  2000/05/24 16:28:28  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||
- release++

Revision 1.62  2000/05/23 18:31:20  zagrodzki
- removed Requires: install-info

Revision 1.61  2000/05/23 15:40:02  zagrodzki
- release ++

Revision 1.60  2000/05/23 15:30:30  zagrodzki
- getopt example files go to %%{_examplesdir}

Revision 1.59  2000/05/21 16:44:10  kloczek
- spec adapterized.

Revision 1.58  2000/05/15 11:30:47  wiget
rootflags is IA32 specific

Revision 1.57  2000/05/15 11:01:11  wiget
2.10m

Revision 1.56  2000/05/11 18:19:05  kloczek
- spec adapterized.

Revision 1.55  2000/05/11 13:46:14  misiek
- added big geometry patch

Revision 1.54  2000/05/04 23:42:08  kloczek
- removed buggy po patch (this only makes duplicated entries in %%files in
  /tmp %$#!),
- removed stripping in %%install (LDFLAGS="-s" is used during linking),
- removed dumb "make -C po install" from %%install.

Revision 1.53  2000/05/04 20:56:41  kloczek
- release 2,
- aded info patch with fixes ipc info pages (added also (un)refistering ipc
  info page in info index).

Revision 1.52  2000/04/26 18:39:17  wiget
- updated to 2.10l
- crypto patch removed (please update this patch first)

Revision 1.51  2000/04/04 20:36:59  serek
international kernel patch for util-linux

Revision 1.50  2000/04/04 12:11:05  cieciwa
- fixed MOREHELPDIR in %%install.

Revision 1.49  2000/04/03 11:05:49  zagrodzki
- duplicate RPM_BUILD_ROOT definition (locale goes to
  $RPM_BUILD_ROOT/$RPM_BUILD_ROOT/%%{_datadir}... )

Revision 1.48  2000/04/01 11:15:50  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicated empty lines

Revision 1.47  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.46  2000/03/20 14:28:38  zagrodzki
- mount and umount with setuid

Revision 1.45  2000/03/01 13:21:42  wiget
- updated to 2.10g

Revision 1.44  2000/02/02 11:05:20  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.43  1999/11/28 16:28:40  kloczek
- cosmetic.

Revision 1.42  1999/11/28 16:15:28  wiget
- updated to 2.10c

Revision 1.41  1999/11/21 11:57:27  kloczek
- release 2.

Revision 1.40  1999/11/19 21:44:32  waszi
- fixes in Sources:

Revision 1.39  1999/11/19 13:24:06  kloczek
- removed chfn.pamd, chsh.pamd.

Revision 1.38  1999/11/19 12:31:05  kloczek
- removed uprogs subpackake (chfn, chsh can be provided by passwd package),
- on write permission changed from 2711 to 2755,
- some cosmetics.

Revision 1.37  1999/11/19 08:45:31  wiget
- updated to 2.10b
- rebuild against ncurses 5.0

Revision 1.36  1999/11/09 03:53:35  kravietz
- commented out cryptographic patch (requires kerneli headers)

Revision 1.35  1999/11/09 03:40:23  kravietz
- updated spec to use glibc-nls.patch

Revision 1.34  1999/08/26 17:43:29  baggins
- buildrequires gettext -> gettext-devel

Revision 1.33  1999/07/30 15:06:06  kloczek
- reorder translations.

Revision 1.32  1999/07/27 10:07:56  wiget
- updated to 2.9v
- added polish man pages

Revision 1.31  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.30  1999/07/16 01:02:35  kloczek
- fixed Source0 url.

Revision 1.29  1999/07/16 00:48:53  kloczek
- cosmetic changes,
- changed permission on chsh, chfn to 4755.

Revision 1.28  1999/07/16 00:34:26  pius
- added tunelp subpackage.
